﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EmployeeManagement
{
    class Program
    {
        static void Main(string[] args)
        {
            AddEmployee();
            Console.ReadLine();
            TestTheirPerformace();
            Console.ReadLine();
            AddTelephone();
            Console.ReadLine();
            Console.WriteLine("\nEnd of Main()");
            Console.WriteLine("----------------------------------");
        }

        static void AddEmployee()
        {
            Console.WriteLine("\nCreating another employee...");
            Employee emp2 = new Employee("Sara Davies", new DateTime(2007, 10, 31), new UserProfile("sarad", "mypassword", "sara.davies@myisp.com"), 30000);
            Console.WriteLine("\nAdjusting minumum salary...");
            Employee.AdjustMinimumSalary(10000);    // Nice :-)
        }

        static void TestTheirPerformace()
        {
            Console.WriteLine("Testing the PerformanceLevel class itself...");
            PerformanceLevel p1 = new PerformanceLevel();
            p1 += 5;
            p1 += 4;
            p1 += 3;
            p1 += 5;
            Console.WriteLine("Performance level p1: {0}", p1);

            PerformanceLevel p2 = new PerformanceLevel();
            p2 += 5;
            p2 += 5;
            p2 += 5;
            p2 += 5;
            Console.WriteLine("Performance level p2: {0}", p2);


            Console.WriteLine("Testing Employee usage of the PerformanceLevel...");
            Employee emp1 = new Employee("Claire Evans");
            emp1.ScoreEmployee(5);
            emp1.ScoreEmployee(4);
            Console.WriteLine("Employee details: {0}", emp1);
        }

        static void AddTelephone()
        {
            Employee emp1 = new Employee("Claire Evans");
            emp1.TelephoneNumber = new TelephoneNumber("44", "01234 567890");
            Console.WriteLine("Telephone number: {0}", emp1.TelephoneNumber);
            Console.WriteLine("Formatted prefix: {0}", emp1.TelephoneNumber.FormattedPrefix);
            Console.WriteLine("Formatted number: {0}", emp1.TelephoneNumber.FormattedNumber);
        }

    }
}
